Page MenuHomeSolus

Update python3-qt5 to 5.12.1
ClosedPublic

Authored by BridouZ on Mar 7 2019, 7:46 AM.

Details

Summary

Changelog:

  • Updated to 5.12.1
  • Removed pkgconfig(Qt5WebEngine) from builddeps (The QtWebEngine module now has a proper package to reflect upstream change)
  • Changelog available here

Depends on D6092 and D5624

Test Plan
  • Install OK
  • Build qutebrowser against it OK
  • Tested against spyder3 and veusz, OK

Diff Detail

Repository
R2541 python3-qt5
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

BridouZ created this revision.Mar 7 2019, 7:46 AM
BridouZ requested review of this revision.Mar 7 2019, 7:46 AM
BridouZ edited the summary of this revision. (Show Details)Mar 7 2019, 7:49 AM

There is now a version 5.12.1 and did you look into packaging the separation of PyQtWebEngine?

BridouZ updated this revision to Diff 13956.EditedMar 20 2019, 9:45 PM

Bump to 5.12.1, ping @Girtablulu ;)

BridouZ retitled this revision from Update python3-qt5 to 5.12 to Update python3-qt5 to 5.12.1.Mar 20 2019, 9:46 PM
BridouZ edited the summary of this revision. (Show Details)
Girtablulu added inline comments.Mar 20 2019, 9:56 PM
package.yml
18–19

Due the moved the webengine stuff into another package, this one is nor needed anymore

BridouZ updated this revision to Diff 13971.Mar 21 2019, 6:39 PM

Removed QTWebEngine as builddep

BridouZ edited the summary of this revision. (Show Details)Mar 21 2019, 6:41 PM

Sorry but you have to rebase it, I had to rebuild it for QT 5.12.2 stack update

BridouZ updated this revision to Diff 14082.Mar 25 2019, 5:46 PM

Rebase on QT5.12.2

Could you please test this against spyder3 and veusz to make sure other application are working as well besides qutebrowser

Girtablulu requested changes to this revision.Mar 30 2019, 10:52 PM
This revision now requires changes to proceed.Mar 30 2019, 10:52 PM
BridouZ edited the test plan for this revision. (Show Details)Apr 1 2019, 12:10 PM
BridouZ edited the test plan for this revision. (Show Details)

This will have to be rebuild against D6092 (replace D5623 with the new dependency). Sorry for inconveniences.

BridouZ updated this revision to Diff 14681.Apr 23 2019, 10:54 AM

Rebuild against (local) D6092

BridouZ edited the summary of this revision. (Show Details)Apr 23 2019, 10:55 AM
JoshStrobl requested changes to this revision.Apr 29 2019, 7:07 PM
JoshStrobl added a subscriber: JoshStrobl.

This has not been properly rebased.

This revision now requires changes to proceed.Apr 29 2019, 7:07 PM
BridouZ updated this revision to Diff 14832.Apr 30 2019, 6:25 AM

Rebase on master

Sorry for missed attempts

JoshStrobl accepted this revision.May 7 2019, 2:39 PM

I'll land them when I push the QT Update

This revision was not accepted when it landed; it landed in state Needs Review.May 7 2019, 2:56 PM
Closed by commit R2541:5bb58193f3af: Update python3-qt5 to 5.12.1 (authored by BridouZ, committed by Girtablulu). · Explain Why
This revision was automatically updated to reflect the committed changes.